/* GENERAL  */
.ibsoDarkBlue {
  color: #023048;
}

.ibsoDarkBlueBack {
  background-color: #023048;
}

.ibsoDarkGreen {
  color: #135e04;
}

.ibsoBlue {
  color: #09628e;
}

.ibsoPurple {
  color: #8e0987;
}

.ibsoRed {
  color: #d72732;
}

.ibsoOrange {
  color: #f0741e;
}

.ibsoGrey {
  color: #8a8582;
}

.ibsoBrown {
  color: #582603;
}

.ibsoBlack {
  color: #000000;
}

.ibsoOrangeBack {
  background-color: #f0741e;
}

.ibsoGreen {
  color: #06a106;
}

.ibsoGreenBack {
  background-color: #06a106;
}

.ibsoCentre {
  display: block;
  margin-left: auto;
  margin-right: auto;
  width: 50%;
}

#indexSearchBox {
  width: 100%;
  border-color: black;
  padding-left: 20px;
  margin-left: 20px;
  height: 20px;
  cursor: pointer;
}

#logos {
  padding-top: 5%;
  padding-bottom: 5%;
  text-align: center;
}

/* HEADER  */
.nav-item {
  padding-right: 4%;
}

#headerPageList {
  padding-left: 2%;
  width: 100%;
}

.nav-item .active {
  text-decoration: underline;
  color: #023048;
}

.hamburgerIcon {
  display: none;
}
/* FOOTER */

#privacyStatementButton {
  background-color: #023048;
  border-color: #023048;
  color: #09628e;
  border: none;
  display: block;
  float: right;
  z-index: 3;
  position: absolute;
  right: 2%;
}

/* CHARTS */
#pageTabsConent {
  height: 100vh;
}
#chartdiv {
  width: 100%;
  height: 60vh;
}

#chartDivAllBer {
  width: 100%;
  height: 80vh;
}

#radioButtonCol {
  padding-top: 15%;
}

#dwellingSelect,
#locationSelect {
  width: 50%;
  display: inline;
}

select {
  background-color: white;
  border: 1px solid #aaa;
  border-radius: 4px;
  cursor: text;
  box-sizing: border-box;
  cursor: pointer;
  display: inline-block;
  padding: 1%;
}

.selectLabel {
  display: inline-block;
  vertical-align: middle;
  padding-right: 2%;
}

#tableForData {
  width: 100% !important;
}

.dt-buttons .btn {
  background-color: #f0741e;
  color: #023048;
}

.hex {
  width: 25%;
}

.hex h1 {
  background-color: #023048;
}

.page-heading {
  text-align: center;
  width: 100%;
}

.sub-heading {
  text-align: center;
  width: 100%;
}

ul {
  list-style-type: circle;
  padding-left: 30px;
  text-align: left;
}

.center {
  display: block;
  margin-left: auto;
  margin-right: auto;
  width: 50%;
}
.tableTitle{
  text-align: center;
}

/* Buttons */

#saveGraphDataButtonDiv {
  padding: 1%;
  width: 100%;
  margin-bottom: 2%;
}
#saveBERDataButtonDiv {
  padding: 1%;
  width: 100%;
  margin-bottom: 10%;
}

#saveGraphDataButton,
#saveBERDataButton {
  width: fit-content;
  padding: 0.5%;
  float: right;
}

/* TOP CARD WITH GRAPH TOTALS */
.topPageContent {
  margin-left: 1%;
}
#totalNosCard {
  /* padding : 10%; */
  text-align: center;
  /*padding-top: 3%;*/
  /* margin : 1%; */
  color: green;
  text-align: center;
  /* border-width: 2px;
border-style: groove;
Border-color: lightgrey; */
}

#totalLocationCard {
  font-size: 1em;
  text-align: center;
  padding-top: 2%;
}

/* modal graphs */
#lastQuaterGraphDiv,
#berRatingforSA,
#heatPieChart,
#buildingStockNoGraph,
#renvoationStatusGraph {
  height: 90%
}

#noDataLabel {
  display : none;
  text-align:center;
  padding : 10%;
  font-size: 3em;
}

 
#noOfpropertiesGraph {
  height: 75vh;
}

#areaSelectionnDiv {
  padding-top: 2%;
  margin-top: 2%;
}

/* #areaSelectionnDiv input {
  float : right;
} */
#areaSelectionnDiv .radioLabels {
  float: right;
  position: absolute;
  margin-left: 3%;
}

#lastQuaterGraph {
  height: inherit;
  width: 100%;
}
#totalNosCard label {
  font-size: 2em;
  padding: 2%;
}

#staticLabel {
  font-size: 1.5em;
}
#typeLocationSelect,
#typeDwellingTypeSelect,
#typeRetrofitSelect,
#typeHeatingSelect {
  float: right;
}
.locationTotalsLabel,
.heatingTotalsLabel, .retrofitTotalsLabel, .dwellingTotalsLabel, .berTotalsLabel {
  font-size: 1.5em;
}

.totalsDiv {
  text-align: center;
}

.headingTitleRow {
  text-align: center;
}
/* @media only screen and (max-width: 1084px) {
 .nav .scroll a{
  font-size : 12px !important;
 }
} */

/* MApping modal */
#locationDetailsForModal {
  /* z-index : -10; */
  text-align: center;
  font-size: 1.5em;
  padding-top: 2%;
}

#saveModalInformation {
  float: right;
  margin-bottom: 3%;
}

#modalForSaCodeInformation {
  /* height: 90vh; */
  /* overflow-y: scroll;
  overflow-x: scroll;
  width: 90vw;*/
  margin: 5%;
  margin-top: 2%;
  width: 90vw;
  border: 1px solid;
  border-style: groove;
  border-radius: 15pt;
  overflow: hidden;
}

.modalGraphRow {
  height: 40vh;
}

#SAModalContent {
  /* height: 200px; */
  height: 100%;
  /* overflow-y: auto; */
  overflow-x: auto;
  position: relative;
}

#modalCloseButton,
#saveModalInformation {
  height : fit-content;
  float:  right;
  padding: 0.5%;
  margin-top: 1%;
  margin-right: 1%;
}
#saveModalInformation {
  float: left;
  margin-left: 1%;
}
.modalGraphTitle {
  text-align: center;
  z-index: -10;
}

#mapPage {
  padding-left: 2%;
  padding-right: 2%;
}

.flex-grid {
  display: flex;
}

.flex-grid .col {
  flex: 1;
}

.flex-grid-thirds {
  display: flex;
  justify-content: space-between;
}

.flex-grid-thirds .col {
  width: 32%;
}

@media (max-width: 400px) {
  .flex-grid,
  .flex-grid-thirds {
    display: block;

    .col {
      width: 100%;
      margin: 0 0 10px 0;
    }
  }
}

* {
  box-sizing: border-box;
}

.flex-grid {
  margin: 0 0 20px 0;
}

.col {
  padding: 2%;
}

#ibsoMap {
  height: 75vh;
  z-index: 10;
}

.float-warn-message {
  z-index: 1001;
  display: none;
  padding: 3%;
  background-color: lightblue;
  color: #444;
  font-size: 16px;
  border-radius: 5px;
  background: #fff;
  box-shadow: 0px 5px 10px rgba(0, 0, 0, 0.5);
}

.float-message-inner {
  position: relative;
}

#closeWarning {
  text-decoration: none;
  color: #444;
  font-weight: bold;

  float: right;
  font-size: 18px;
}

#EDselectiondiv {
  display: none;
  width: 100%;
}

/* .selectMapDDL {
  width: 100%;
} */

#DDLsforRefining {
  padding-top: 2%;
}

/* MEDIA QUERIES FOR SMALL SCREEN */
@media only screen and (max-width: 768px) {
  /* HAMBURGER MENU  */
  .navbar-brand img {
    width: 40%;
  }
  header::after {
    content: "";
    display: table;
    clear: both;
  }
  .navbar-collapse {
    position: absolute;
    top: 100%;
    background: #ccc;
    left: 0;
    right: 0;
    padding: 10px;
  }
  .navbar-collapse.show {
    position: absolute;
    top: 100%;
    background: #ccc;
  }
  header {
    position: relative;
    height: var(--header-height);
  }
  #pageHeader {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px;
    height: 100%;
  }

  .hamburgerIcon {
    font-size: 36px;
    user-select: none;
    display: inline;
    float: right;
  }

  #navbarDropdown {
    cursor: pointer;
  }

  #navbarDropdown a {
    color: #f2b076;
    font-weight: bold;
    text-decoration: none;
    text-transform: uppercase;
  }

  #navbarDropdown ul {
    position: fixed;
    right: 0;
    height: 100%;
    width: 100%;
    text-align: center;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 30px;
    margin: 0;
    list-style: none;
    background-color: #023048;
    display: none;
  }

  #navbarDropdown ul li {
    padding: 10px 0;
  }

  .nav-open #navbarDropdown ul {
    display: flex;
  }

  /* GRAPH ITEMS */

  #radioButtonCol {
    padding-top: 0%;
    padding-left: 25%;
  }

  /* FOOTER  */
  #footer {
    padding-top: 1px;
    padding-bottom: 1px;
    position: relative;
  }
}
/* MODALS  */
/* The Modal (background) */
#privacyModal {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 1; /* Sit on top */
  left: 0;
  top: -5%;
  width: 80%;
  left: 10%;
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0, 0, 0); /* Fallback color */
  background-color: rgba(0, 0, 0, 0.4); /* Black w/ opacity */
  border-radius: 10px;
}

/* Modal Content/Box */
#privacy-modal-content {
  background-color: #fefefe;
  margin: 15% auto;
  padding: 10%;
  border: 1px solid #888;
  width: 100%;
}

/* The Close Button */
.privacy-modal-close {
  color: #aaa;
  float: right;
  font-size: 28px;
  font-weight: bold;
}

.privacy-modal-close:hover,
.privacy-modal-close:focus {
  color: black;
  text-decoration: none;
  cursor: pointer;
}

/* spinner  */

#spinnerOverlay {
  position: fixed;
  top: 0;
  z-index: 100;
  width: 100%;
  height: 100%;
  display: none;
  background: rgba(0, 0, 0, 0.6);
}
.cv-spinner {
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}
.spinner {
  width: 40px;
  height: 40px;
  border: 4px #ddd solid;
  border-top: 4px #2e93e6 solid;
  border-radius: 50%;
  animation: sp-anime 0.8s infinite linear;
}
@keyframes sp-anime {
  100% {
    transform: rotate(360deg);
  }
}
.is-hide {
  display: none;
}

/* Style for Newsletter */
#newsletterAccordion,
#newsletterControl,
#newsletterHeading {
  width: 49%;
}

#newsletterHeading {
  float: left;
}

.accordion button {
  width: 100%;
  display: block;
}

.collapse {
  visibility: visible;
}

.note-editor > .note-toolbar {
  display: flex;
}

.note-editor > .note-toolbar > .note-btn-group,
.note-editor > .note-toolbar > .note-btn-group > .note-btn-group {
  display: inline-flex;
}

#footer {
  z-index: 1000;
}
 
/* // map tooltip */
.fa-info {
  font-size : 0.8em;
}
/* 
#mapInformation{
  position: relative;
  display: inline-block;
  border-bottom: 1px dotted black;
} */

#mapInformation .tooltiptext {
  visibility: hidden;
  width: 120px;
  background-color: #555;
  color: #fff;
  text-align: center;
  border-radius: 6px;
  padding: 5px;
  position: absolute;
  z-index: 1;
  bottom: 125%;
  left: 50%;
  margin-left: -60px;
  opacity: 0;
  transition: opacity 0.3s;
  font-size: 1em;
}

#mapInformation .tooltiptext::after {
  content: "";
  position: absolute;
  top: 100%;
  left: 50%;
  margin-left: -5px;
  border-width: 5px;
  border-style: solid;
  border-color: #555 transparent transparent transparent;
}

#mapInformation:hover .tooltiptext {
  visibility: visible;
  opacity: 1;
}